<template>

	<div>
		<div class="col-md-12">
			<h1>{{ value.title }}</h1>
		</div> 
		<template v-for="(box, index) in value.data">
			<div class="col-lg-6 col-md-6 col-sm-6 " v-if="index < 4" >
				<h5>{{ box.subtitle}}</h5>
				<p v-html="box.body.replace(/(?:\r\n|\r|\n)/g, '<br>')"></p>
				<!--<p>{{ box.body}}</p>-->
			</div>
			<div class="col-lg-12 col-md-12 col-sm-12" v-else>
				<h5>{{ box.subtitle }}</h5>
				<!--<p>{{  box.body}}</p>-->
				<p v-html="box.body.replace(/(?:\r\n|\r|\n)/g, '<br>')"></p>
			</div>
		</template>
		
	</div>
</template>

<script>	
	import { config } 		from './config'
	import { mapActions } 	from 'vuex'
	import ResultTypes from '../../../../utils/ResultTypes'

	export default{
		name 	: config.component,
		props 	: config.props,
		methods : {
	  		...mapActions([
		      'evaluate',
			]),
		},
		mounted(){
			let isPreview = window.location.href.split('/')[3] == 'course-preview'
				if(isPreview){
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), 4 * 1000)
				}
				else{
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), this.value.readingTime * 1000)
					}
		},
		updated(){
			let isPreview = window.location.href.split('/')[3] == 'course-preview'
				if(isPreview)
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), 4 * 1000)
				else
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), this.value.readingTime * 1000)
		}
	}
</script>